const { join } = require('path')
const { isPageTplExists } = require('./isExists')
/*
如果选择的模板在本地存在那就返回本地模板的路径
 */
module.exports = function(pageTpl) {
  if (isPageTplExists(pageTpl, 'local')) {
    const cwd = process.cwd()
    return {
      __html: join(cwd, `template/${pageTpl}/index.html`),
      __src: join(cwd, `template/${pageTpl}/src/`)
    }
  }
  return {
    __html: join(__dirname, `../template/page/${pageTpl}.html`),
    __src: join(__dirname, `../template/src/${pageTpl}`)
  }
}
