const fs = require('fs-extra')
const { join } = require('path')
const { getPageTplList } = require('./pageTpl')
exports.isPageNameExists = function(pageName) {
  const cwd = process.cwd()
  return (
    fs.pathExistsSync(join(cwd, `page/${pageName}.html`)) ||
    fs.pathExistsSync(join(cwd, `src/${pageName}`))
  )
}
/*
检测本地或者远程是否存在模板
 */
exports.isPageTplExists = function(pageTpl, position) {
  if (position === 'local') {
    return fs.pathExistsSync(
      join(process.cwd(), `template/${pageTpl}/index.html`)
    )
  } else {
    const list = getPageTplList()
    return list.includes(pageTpl)
  }
}
