const { join } = require('path')
const fs = require('fs-extra')
const glob = require('glob')
exports.delPageTplDir = async function() {
  await fs.remove(join(__dirname, '../template'))
}
exports.getPageTplList = function() {
  const remoteList = glob
    .sync('src/*', { cwd: join(__dirname, '../template') })
    .map(name => name.substring(4))
  const localList = glob
    .sync('template/*', { cwd: join(process.cwd()) })
    .map(name => name.substring(9))
  return [...new Set([...remoteList, ...localList])]
}
