const { resolve } = require('path')
const resolvePath = src => resolve(process.cwd(), src)
module.exports = {
  __pkgJson: resolvePath('package.json'),
  __fireConfig: resolvePath('fire.config.js'),
  __root: process.cwd(),
  __src: resolvePath('src'),
  __page: resolvePath('page'),
  __nodeModules: resolvePath('node_modules'),
  __noble: resolvePath('noble'),
  __base: resolvePath('src/__BASE__'),
  __yarnLock:resolvePath('yarn.lock'),
  __packageLock:resolvePath('package-lock.json')
}
