const { shell } = require('execa')
const getSpinner = require('../utils/getSpinner')
const { success } = require('../utils/tip')
module.exports = async function() {
  const spinner = getSpinner('Building...')
  try {
    let env = process.argv[3] || 'dev'
    spinner.start()
    await shell(
      `node node_modules/fire-scripts/bin/index build NODE_ENV=${env}`
    )
    success('\n √ build completed!')
    spinner.stop()
  } catch (e) {
    spinner.stop()
    console.log(e)
  }
}
