const fs = require('fs-extra')
const { join } = require('path')
module.exports = function() {
  const cwd = process.cwd()
  let resConfig = {}
  const __fireConfig = join(cwd, 'fire.config.js')
  const __localConfig = join(cwd, 'local.config.js')
  resConfig = Object.assign(resConfig, require(__fireConfig))
  if (fs.pathExistsSync(__localConfig)) {
    resConfig = Object.assign(resConfig, require(__localConfig))
  }
  return resConfig
}
