const { shellSync } = require('execa')
const { warning } = require('./tip')
module.exports = function() {
  try {
    shellSync('yarnpkg --version', { stdio: 'ignore' })
    return true
  } catch (e) {
    warning(
      '检测到未安装 Yarn 建议安装 https://yarn.bootcss.com/docs/install/#windows-stable'
    )
    return false
  }
}
